echo ==========================================
echo Test Crypt with MD
echo ------------------------------------------
java MD -digest cesar.txt cesar.md5
java MD -check cesar.txt cesar.md5
java MD -digest cesar.txt cesar.sha -algo SHA
java MD -check cesar.txt cesar.sha -algo SHA

copy cesar.txt cesarcorrupt.txt
echo Modify the content of cesarcorrupt.txt
pause
java MD -check cesarcorrupt.txt cesar.md5
java MD -check cesarcorrupt.txt cesar.sha -algo SHA

pause
echo ==========================================
echo Test Crypt with PBE
echo ------------------------------------------

java Crypt
java Crypt -encrypt cesar.txt cesar.pbe -algo PBEWithMD5AndDES MonMotDePasse
java Crypt -decrypt cesar.pbe cesar2.txt -algo PBEWithMD5AndDES MonMotDePasse
java Crypt -decrypt cesar.pbe cesarbadpassword.txt -algo PBEWithMD5AndDES MONMOTDEPASSE

copy cesar.pbe cesarcorrupt.pbe
echo Modify the content of cesarcorrupt.pbe
pause
java Crypt -decrypt cesarcorrupt.pbe cesarcorrupt2.txt -algo PBEWithMD5AndDES MonMotDePasse

pause
echo ==========================================
echo Test Crypt with RSA
echo  !! Launch testkeytool.bat before continue ...
echo ------------------------------------------
echo Encrypt with private key and decrypt with public key
java Crypt -encrypt cesar.txt cesar.rsa -algo RSA/ECB/PKCS1Padding monks.jks tutututu rsakeypair titititi
java Crypt -decrypt cesar.rsa cesarks1.txt -algo RSA/ECB/PKCS1Padding monks.jks tutututu rsakeypair
java Crypt -decrypt cesar.rsa cesarcert1.txt -algo RSA/ECB/PKCS1Padding rsakeypair.cer


echo Encrypt with public key and decrypt with private key
java Crypt -encrypt cesar.txt cesarks.rsa -algo RSA/ECB/PKCS1Padding monks.jks tutututu rsakeypair
java Crypt -decrypt cesarks.rsa cesarks2.txt -algo RSA/ECB/PKCS1Padding monks.jks tutututu rsakeypair

java Crypt -encrypt cesar.txt cesarcert.rsa -algo RSA/ECB/PKCS1Padding rsakeypair.cer
java Crypt -decrypt cesarcert.rsa cesarcert2.txt -algo RSA/ECB/PKCS1Padding monks.jks tutututu rsakeypair

pause
echo ==========================================
echo Test Signer
echo ------------------------------------------

java Signer
java Signer -sign monks.jks tutututu totototo didier cesar.txt cesar.dsa
java Signer -verify monks.jks tutututu didier cesar.txt cesar.dsa
java Signer -verify monks.jks tutututu didier cesarcorrupt.txt cesar.dsa
java Signer -verify monks.jks tutututu nadia cesar.txt cesar.dsa

pause
echo ==========================================
echo End of tests
echo ------------------------------------------